Attribute VB_Name = "modMain"
Option Explicit
    ' ********************************
    ' ***** Constant Definitions *****
    ' ********************************
    Private Const HTCAPTION        As Long = 2
    Private Const WM_NCLBUTTONDOWN As Long = &HA1

    ' ***************************
    ' ***** API Definitions *****
    ' ***************************
    Public Declare Function SendMessage Lib "user32.dll" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
    Public Declare Function FlashWindow Lib "user32.dll" (ByVal hwnd As Long, ByVal bInvert As Long) As Long
    Public Declare Function ReleaseCapture Lib "user32.dll" () As Long

    ' ****************************
    ' ***** Global Variables *****
    ' ****************************
    Public gfrm                   As Form

    Public gstrApplicationName    As String
    Public gstrApplicationDate    As String
    Public gstrApplicationVersion As String

' ********************************
' ***** Startup Sub Routines *****
' ********************************
Sub main()
    If (App.PrevInstance) Then
        End
    End If

    SetGlobalVariables

    Load frm1
    frm1.Show vbModeless ' It's too important!, You must use [vbModeless] insteed of [vbModal] for showing application in windows taskbar.
End Sub

' *******************************
' ***** Public Sub Routines *****
' *******************************
Private Sub SetGlobalVariables()
    gstrApplicationName = "DT Phone Book"           ' AAAAA
    gstrApplicationDate = "2003/10/30 - 1382/08/07" ' AAAAA
    gstrApplicationVersion = "1.0.7"                ' AAAAA
End Sub

Public Sub gDitherForm()
    Dim lngCounter As Long

    gfrm.DrawMode = vbCopyPen
    gfrm.ScaleMode = vbPixels
    gfrm.DrawStyle = vbInsideSolid

    gfrm.DrawWidth = 2
    gfrm.ScaleHeight = 256

    For lngCounter = 0 To 255
        gfrm.Line (0, lngCounter)-(Screen.Width, lngCounter - 1), RGB(0, 0, 255 - lngCounter), B
    Next lngCounter
End Sub

Public Function gMoveControl(ByRef lngWindowHandler As Long, ByVal lngButton As Long, ByVal lngShift As Long) As Long ' Updated On 1382/07/20
    Dim lngReturn As Long

    If ((lngButton = vbLeftButton) And (lngShift = 0)) Then
        ReleaseCapture
        lngReturn = SendMessage(lngWindowHandler, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
    End If

    gMoveControl = lngReturn
End Function
